package controller;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.core.*;
import model.manager.*;


public class CartServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {
		
		HttpSession session = request.getSession();
		String targetURL = null;
		try{ 
		      int id_ebook = Integer.parseInt(request.getParameter("id"));
		      targetURL = "cart.jsp";
		      Product product = ProductManager.findById(id_ebook);
		      User user = (User) session.getAttribute("user");

		      ArrayList<Product> cart = (ArrayList) session.getAttribute("cart");
		      if (cart == null) {
			      cart = new ArrayList(); 
		      }
		      cart.add(product);
		      session.setAttribute("cart",cart);
	        
		} catch (Exception e) {
			e.printStackTrace();
			targetURL = "index.jsp";
		}
		response.sendRedirect(targetURL);

	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {
		doGet(request, response);
	}

}	
