package controller;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.manager.*;
import model.core.*;


public class PayServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException , java.io.IOException {

		HttpSession session = request.getSession();
	        String targetURL = null;		
		try {
			
			int id_purchase = ((Integer) session.getAttribute("id")).intValue();
			Purchase purchase = PurchaseManager.findById(id_purchase);
			purchase.setPaid(true);
			PurchaseManager.update(purchase);
			targetURL = "purchase";
		} catch (Exception e){
			e.printStackTrace();
			targetURL = "index.jsp";
		}
		response.sendRedirect(targetURL);

	}

	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException , java.io.IOException {
		doGet(request, response);
	}
}


