package controller;


import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.manager.*;
import model.core.*;


public class UserServlet extends HttpServlet  {
	

	 public void doGet (HttpServletRequest request, HttpServletResponse response) 
		 throws ServletException , java.io.IOException {
		
	     HttpSession session = request.getSession();

	      try {
		      String firstName = request.getParameter("first_name");
		      String surname = request.getParameter("surname");
		      String email = request.getParameter("email");
		      String password = request.getParameter("password");
		     

		      User user = new User();
		      user.setFirstName(firstName);
		      user.setSurname(surname);
 		      user.setEmail(email);
 		      user.setPassword(password);
		      user.setAdmin(new Boolean(false));
		     		     
		      UserManager.add(user);
		      session.setAttribute("user",user);
		      session.setAttribute("latest",ProductManager.getLatest(9)); 
		      response.sendRedirect("user/index.jsp");
		     
	     
	     } catch (Exception e) {
		     response.sendRedirect("index.jsp");
		     e.printStackTrace();
             }
	 }


public void doPost (HttpServletRequest request, HttpServletResponse response)
       throws ServletException, java.io.IOException {
		doGet (request, response);
	}	
}


	     


