package controller;

import java.io.*;
import javax.servlet.*;
import javax.servlet.jsp.*;
import javax.servlet.http.*;
import model.manager.*;
import model.core.*;

public class ViewProductServlet extends HttpServlet  {

	public void doGet(HttpServletRequest request, HttpServletResponse response) 
		throws ServletException, java.io.IOException {

         	HttpSession session = request.getSession();
	        String targetURL = null;	
		try{
			int id_ebook = Integer.parseInt(request.getParameter("id"));
			
			targetURL = "details.jsp";
			Product product = null;
			product = ProductManager.findById(id_ebook);
			User user = (User) session.getAttribute("user");
			if (user != null) {
				user.hasSeen(product);
			}
			session.setAttribute("product", product);

		} catch (Exception e) {
			e.printStackTrace();
			targetURL = "index.jsp";
		}
		response.sendRedirect(targetURL);
	}


	public void doPost (HttpServletRequest request, HttpServletResponse response)
		throws ServletException, java.io.IOException {
		doGet (request, response);
	}
}

