<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);

	Purchase p = null;
	User u = null;
	User user = (User) session.getAttribute("user");
	ArrayList<Purchase> purchases = (ArrayList<Purchase>) session.getAttribute("purchases");
	ArrayList<User> users = (ArrayList<User>) session.getAttribute("users");

	if (users == null) {
		users = new ArrayList<User>();
	}
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>jBookStore - <%= msg.getString("PURCHASES") %></title>
		<link rel="stylesheet" type="text/css" href="../css/style.css" />

		<%
			if (user == null || !user.isAdmin()) {
		%>
				<script type="text/javascript">
					window.location = "../index.jsp";
				</script>
		<%
			}
		%>
	</head>
	<body>
		<div id="wrap">
       		<div class="header">
       			<div class="logo"><a href="index.jsp"><img src="../images/logo.gif" alt="" title="" border="0" /></a></div>            
        		<div id="menu">
		            <ul>
		                <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
		            </ul>
        		</div>     
     		</div> 
  			<div class="center_content">
       			<div class="left_content">
            		<div class="title"><span class="title_icon"><img src="../images/bullet1.gif" alt="" title="" /></span><%= msg.getString("MY_CART") %></div>
                	<div class="feat_prod_box_details">  
            			<table class="cart_table">
            				<tr class="cart_title">
                				<td><%= msg.getString("CLIENT") %></td>
                				<td><%= msg.getString("PRODUCT") %></td>
            					<td></td>
                			</tr>
     						<%
								for(int i = 0; i < purchases.size(); i++) {
									u = users.get(i);
									p = purchases.get(i);
									out.println(PurchaseHelper.purchaseLine(u, p, msg.getString("CONFIRM_PAYMENT")));
								}
							%>         
              			</table>          
            		</div>
            
        			<div class="clear"></div>
        		</div><!--end of left content-->
       				</div> 
        		<div class="right_content">
             		<div class="right_box">
             			<div class="title"><span class="title_icon"><img src="../images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
                    	<div class="new_prod_box">
                        </div>   
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="../images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
                
		                <ul class="list">
		                	<!--<li><a href="#">accesories</a></li>-->
		                </ul>
           			</div>
        		</div><!--end of right content-->
       			<div class="clear"></div>
       		</div><!--end of center content-->
              
			<div class="footer">
            	<div class="left_footer"><img src="../images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="../images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="index.jsp"><%= msg.getString("HOME") %></a>
                    <a href="#"><%= msg.getString("CONTACT") %></a>
                </div>
            </div>
		</div>
	</body>
</html>
