<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);

	ArrayList array = null;
	User user = (User) session.getAttribute("user");
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
        <title>jBookStore - <%= msg.getString("HOME")%></title>
		<link rel="stylesheet" type="text/css" href="../css/style.css" />

		<% 
			if (user == null) {
		%>
			<script type="text/javascript">
				window.location = "/index.jsp";
			</script>
		<%
			}
		%>
    </head>
    <body>
        <div id="wrap">
            <div class="header">
       	        <div class="logo"><a href="index.jsp"><img src="../images/logo.gif" alt="" title="" border="0" /></a></div>            
                <div id="menu">
                    <ul>
                        <li class="selected"><a href="../index.jsp"><%= msg.getString("HOME") %></a></li>
                        <li><a href=""><%= msg.getString("BOOKS") %></a></li>
                        <li><a href=""><%= msg.getString("SPECIAL_BOOKS")%></a></li>
                        <li><a href=""><%= msg.getString("MY_ACCOUNT")%></a></li>
                        <li><a href="../login.jsp"><%= msg.getString("LOG_IN")%></a></li>
                        <li><a href=""><%= msg.getString("CONTACT")%></a></li>
                    </ul>
                </div>
            </div> 
            <div class="center_content">
       	        <div class="left_content">
	
	              	<div class="title"><span class="title_icon"><img src="../images/bullet2.gif" alt="" title="" /></span><%= msg.getString("LAST_VISITED") %></div> 
                   	<div class="new_products">
                       	<%
							array = user.getLastProducts(6);
                           	for(int i = 0; i < array.size(); i++) {
								Product p = (Product) array.get(i);
                           	}
                       	%>
                   	</div>

        			<div class="title"><span class="title_icon"><img src="../images/bullet1.gif" alt="" title="" /></span><%= msg.getString("LATEST_BOOKS")%></div>
                  	<%
						array = (ArrayList) session.getAttribute("latest");
                   		for(int i = 0; i < array.size(); i++) {
							Product p = (Product) array.get(i);
                   		}
					%>
                    <div class="clear"></div>
                </div><!--end of left content-->
        
                	<div class="right_content">             
                    	<div class="cart">
                        	<div class="title"><span class="title_icon"><img src="../images/cart.gif" alt="" title="" /></span>My cart</div>
                        	<div class="home_cart_content">
                            	3 x items | <span class="red">TOTAL: 100$</span>
                        	</div>
                        	<a href="cart.html" class="view_cart"><%= msg.getString("VIEW_CART")%></a>
                        	</div>

                    	<div class="right_box">
	                        <div class="title"><span class="title_icon"><img src="../images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS")%></div> 
	                   	</div>
                 
	                    <div class="right_box">
                   
                        	<div class="title"><span class="title_icon"><img src="../images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES")%></div> 
                        	<ul class="list">
                        		<!--
                               	<li><a href="#">accessories</a></li>
                            	-->
                        	</ul>                     
                    	</div>
	          		</div><!--end of right content-->      
             		<div class="clear"></div>
       		</div><!--end of center content-->
      
            <div class="footer">
            	<div class="left_footer"><img src="../images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="../images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="index.jsp"><%= msg.getString("HOME")%></a>
                    <a href="#"><%= msg.getString("CONTACT")%></a>
                </div>
            </div>
        </div>
    </body>
</html>
