<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);
	User user = (User) session.getAttribute("user");

%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>jBookStore - <%= msg.getString("ADMIN") %></title>
		<link rel="stylesheet" type="text/css" href="../css/style.css" />
		<%
			if (user == null || !user.isAdmin()) { 
		%>
			<script type="text/javascript">
				window.location = "../index.jsp";
			</script>
		<%
			}
		%>

	</head>
	<body>
		<div id="wrap">

	    	<div class="header">
				<div class="logo"><a href="index.html"><img src="../images/logo.gif" alt="" title="" border="0" /></a></div>            
	        	<div id="menu">
		            <ul>
		                <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
	            	</ul>
	        	</div>      
	       </div> 
       
	       <div class="center_content">
	       		<div class="left_content">
	            	<div class="title"><span class="title_icon"><img src="../images/bullet1.gif" alt="" title="" />Admin Panel</span></div>
	        		<div class="feat_prod_box_details">
						<a href="add_product.jsp">Add new product</a> <br />	                
						<a href="show_clients">Show clients</a> <br />
	                    <a href="/jBookStore/purchase">Show purchases</a> <br />
	                    <a href="show_statistics">Show statistics</a> <br />
	                </div>	   
	                <div class="clear"></div>
	        	</div><!--end of left content-->
        
	        	<div class="right_content">            
	              	<div class="cart">
	                  	<div class="title"><span class="title_icon"><img src="../images/cart.gif" alt="" title="" /></span>My cart</div>
	                  	<div class="home_cart_content">
	                  		3 x items | <span class="red">TOTAL: 100$</span>
	                  	</div>
	                  	<a href="cart.html" class="view_cart">view cart</a>
              
	
                	<div class="right_box">
                        <div class="title"><span class="title_icon"><img src="../images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
                        <%
                            //for(int i = 0; i < vetor.tamanho(); i++) {
                            //    	out.println(ProductHelper.promoBook("imagem", "nome"));
                            //}
                        %>
                   	</div>            
				</div>
             
	             <div class="right_box">
             
	             	<div class="title"><span class="title_icon"><img src="../images/bullet5.gif" alt="" title="" /></span>Categories</div> 
                
	                <ul class="list">
	                <li><a href="#">accesories</a></li>                                              
	                </ul>  
             
	             </div>         
             
        
	        </div><!--end of right content-->
        
        
       
       
	       <div class="clear"></div>
	       </div><!--end of center content-->
       
              
	       <div class="footer">
	       	<div class="left_footer"><img src="../images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="../images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
	        <div class="right_footer">
	        <a href="#">home</a>
	        <a href="#">about us</a>
	        <a href="#">services</a>
	        <a href="#">privacy policy</a>
	        <a href="#">contact us</a>
       
	        </div>
        
       
	       </div>
    

	</div>

	</body>
</html>
