<!--<%@page import="java.util.*" %>
<%@page import="helper.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);
%>-->

<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
		<title>jBookstore - <%= msg.getString("CHECKOUT")%></title>
		<link rel="stylesheet" type="text/css" href="../css/style.css" />
		<script src="http://code.jquery.com/jquery-latest.js"></script>
		<script type="text/javascript" src="../js/jquery.validate.js"></script>
		<script>
			$(document).ready(function(){
				$('#submit_btn').attr('disabled', false);
				$("#billet_options").hide();
				$("#card_options").hide();
				$("#card").click(function() {
					$("#billet_options").hide();
					$("#card_options").show();
				});
				$("#billet").click(function() {
					$("#billet_options").show();
					$("#card_options").hide();
				});
			    $("#checkoutform").validate({
					rules: {
					    card: {
							required: "#card:checked"
						},
						card_number: {
							required: "#card:checked"
						},
						name: {
							required: "#card:checked"
						},
						date: {
							required: "#card:checked"
						},
						sec_code: {
							required: "#card:checked",
							number: true,
							min: 0
						}
					}
				});

			});
		</script>
	</head>
	<body>
		<div id="wrap">

       		<div class="header">
       			<div class="logo"><a href="index.html"><img src="../images/logo.gif" alt="" title="" border="0" /></a></div>            
        		<div id="menu">
		            <ul>
		                <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
		            </ul>
        		</div>      
       		</div> 
       
       		<div class="center_content">
       			<div class="left_content">
            		<div class="title"><span class="title_icon"><img src="../images/bullet1.gif" alt="" title="" /></span><%= msg.getString("PRODUCT_MANAGEMENT") %></div>
        
        			<div class="feat_prod_box_details">
            
              			<div class="contact_form">
                			<div class="form_subtitle"> <%= msg.getString("CHECKOUT")%></div>
            				<form id="checkoutform" name="checkoutform" method="post" action="finished.jsp">
								<div class="form_row">
			                        <label class="contact"><strong> <%= msg.getString("TOTAL") + ": " %></strong></label>
			                       	$ <%= (String)session.getAttribute("total") %>
			                    </div>                    			
			                    <div class="form_row">
			                        <label class="contact"><strong><%= msg.getString("PAYMENT_FOMS") %>:</strong></label><br />
								</div>
								<div id="format_options">
									<div class="form_row">
				                        <input type="radio" name="payment" value="billet" id="billet"/> 
				                        <label class="contact"><%= msg.getString("BILLET") %><label>
									</div>
									<div id="billet_options">
										<a href="#"><%=msg.getString("PRINT")%></a>
									</div>
									<div class="form_row">
				    					<input type="radio" name="payment" value="card" id="card" /> 
					                    <label class="contact"><%= msg.getString("CARD") %></label>                                            
				                    </div>
									<div id="card_options">
										<div id="format_options">
											<div class="form_row">
						                        <input type="radio" name="card" value="visa" id="card1"/> 
						                        <label class="contact"><img src="../images/visa.gif" alt="" title="" />VISA<label>
											</div>
											<div class="form_row">
						    					<input type="radio" name="card" value="mastercard" id="card2" /> 
							                    <label class="contact"><img src="../images/mastercard.gif" alt="" title="" />MASTERCARD</label>                                            
						                    </div>
										</div>
										<div class="form_row">
					                        <label class="contact"><strong><%= msg.getString("CARD_NUMBER") %>:</strong></label>
					                        <input type="text" name="card_number" id="card_number" class="contact_input"/>
					                    </div>
					                    <div class="form_row">
					                        <label class="contact"><strong><%= msg.getString("PRINTED_NAME") %>:</strong></label>
					                        <input type="text" name="name" id="name" class="contact_input"/>
					                    </div>
					                    <div class="form_row">
						                    <label class="contact"><strong><%= msg.getString("DATE") %>:(<%= msg.getString("MONTH") + "/" + msg.getString("YEAR")%>)</strong></label>
					                        <input type="text" name="date" id="date" class="contact_input"/>
					                    </div>
					                    <div class="form_row">
					                        <label class="contact"><strong><%= msg.getString("SECURITY_CODE") %>:</strong></label>
					                        <input type="text" name="sec_code" id="sec_code" class="contact_input"/>
					                    </div>
									</div>
								</div>                  
			                    <div class="form_row">
			                    <input type="submit" class="register" value="<%= msg.getString("INSERT") %>" />
			                    </div>   
                  			</form>     
                		</div>  
            		</div>	   

        			<div class="clear"></div>
        		</div><!--end of left content-->
        
        		<div class="right_content">
					<div class="cart">
                  		<div class="title"><span class="title_icon"><img src="../images/cart.gif" alt="" title="" /></span> <%= msg.getString("MY_CART") %></div>
                  		<div class="home_cart_content">
                  			3 x items | <span class="red">TOTAL: 100$</span>
                  		</div>
                  		<a href="cart.html" class="view_cart"> <%= msg.getString("VIEW_CART") %></a>
              		</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="../images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
    					<%
                            //for(int i = 0; i < vetor.tamanho(); i++) {
                                out.println(ProductHelper.promoBook("imagem", "nome"));
                            //}
                        %>
             		</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="../images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
		                <ul class="list">
		                	<!-- <li><a href="#">accesories</a></li> -->
		                </ul>          
             		</div>         
            
        		</div><!--end of right content-->

       			<div class="clear"></div>
       		</div><!--end of center content-->
       
              
            <div class="footer">
            	<div class="left_footer"><img src="images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="#"><%= msg.getString("HOME") %></a>
                    <a href="#"><%= msg.getString("CONTACT") %></a>
                </div>
            </div>
		</div>
	</body>
</html>
