package controller;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.core.*;
import model.manager.*;


public class CheckOutServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException{

	   HttpSession session = request.getSession();
	   String targetURL = null;

	try {
		double total = 0 ;
		ArrayList<Product> cart = (ArrayList<Product>) session.getAttribute("cart");
		User user = (User) session.getAttribute ("user");
		Purchase purchase = new Purchase();

		if (user == null) {
			purchase.setPaid(new Boolean(false));	
			PurchaseManager.add(purchase);
			targetURL = "checkouterror.jsp";
		} else {  
			for (int i = 0; i < cart.size(); i++){
				purchase.add(cart.get(i));
				total += Long.parseLong(cart.get(i).getPrice());
			}	user.add(purchase);
			UserManager.update(user);
			session.setAttribute("total", new Double(total));
			targetURL = "checkout.jsp";
		}
		
	} catch (Exception e){
		e.printStackTrace();
		targetURL = "index.jsp";
	  }  
	response.sendRedirect(targetURL);
 	}	
	
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException{
		doGet(request, response);
	}
}
