package controller;

import model.manager.*;
import model.core.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class LoginServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException,java.io.IOException {
		
		String newuser = request.getParameter("newuser");
	        HttpSession session = request.getSession();	
		String targetURL = null;
		User user = null;
		String email = request.getParameter("email");
		String password = request.getParameter("password");
		String message = "";

		if (newuser.equals("yes")) {
			targetURL = "signup.jsp";
			session.setAttribute("userEmail", email);
				
		}
		else {	
		
			user = UserManager.findByEmailPassword(email, password);
			if (user == null) { 
				targetURL = "login.jsp";
				message = "Invalid Username or Password ";
			}
			else {
		       		session.setAttribute("user", user);
					session.setAttribute("latest",ProductManager.getLatest(9));
					if (user.isAdmin()) {
		       			targetURL = "admin/index.jsp";
					} else {
						targetURL = "user/index.jsp";
					}

			}
		}
		response.sendRedirect(targetURL);

       }

	public void doPost(HttpServletRequest request, HttpServletResponse response)
	       	throws ServletException, java.io.IOException {
		doGet(request, response);
	}

}
