package controller;


import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import model.core.*;
import model.manager.*;


public class PurchaseServlet extends HttpServlet {

	public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {

		HttpSession session = request.getSession();
		String targetURL = null;

		try{
		     User user = (User) session.getAttribute("user");
		     if (user.isAdmin()){
	             	targetURL = "admin/purchase.jsp";
			ArrayList<Purchase> purchases  = PurchaseManager.findNotPaid() ;
			ArrayList<User> list_user = new ArrayList<User>();
			User user_purchase;
			for (int i = 0; i < purchases.size(); i++) {
				user_purchase =   purchases.get(i).getUser();
				list_user.add(user_purchase);
			}
			session.setAttribute("users",list_user);
			session.setAttribute("purchases",purchases);

	  	     } else targetURL = "index.jsp";
		
		} catch (Exception e) {
		    e.printStackTrace();
		    targetURL = "index.jsp";
		}
		   response.sendRedirect(targetURL);

	}
	public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, java.io.IOException {
		doGet(request, response);
	}
}	
