package helper;

import model.core.*;

public class ProductHelper {
    public static String featuredBook(Product p) {
        return "<div class=\"feat_prod_box\">" + 
                   "<div class=\"prod_img\"><a href=\"/details?id="+ p.getId() + "\"><img src=\"../products/thumbnail/"+ p.getId() + "." + p.getImageFormat() + "\" alt=\"\" title=\"\" border=\"0\" /></a></div>" +
                    "<div class=\"prod_det_box\">" +
                        "<div class=\"box_top\"></div>" +
                        "<div class=\"box_center\">" +
                            "<div class=\"prod_title\"> " + p.getTitle() + " </div>" +
                            "<p class=\"details\"> " + p.getDescription() + "</p>" +
                            "<a href=\"details?id="+ p.getId() + "\" class=\"more\">- more details -</a>" +
                            "<div class=\"clear\"></div>" +
                        "</div>" +
                        "<div class=\"box_bottom\"></div>" +
                    "</div>" +
                    "<div class=\"clear\"></div>" +
                "</div>";    
    }

    public static String newBook(Product p) {
        return "<div class=\"feat_prod_box\">" + 
                    "<div class=\"prod_img\"><a href=\"/details?id="+ p.getId() + "\"><img src=\"../products/thumbnail/"+ p.getId() + "." + p.getImageFormat() + "\" alt=\"\" title=\"\" border=\"0\" /></a></div>" +
                    "<div class=\"prod_det_box\">" +
                        "<div class=\"box_top\"></div>" +
                        "<div class=\"box_center\">" +
                            "<div class=\"prod_title\">" + p.getTitle() + " </div>" +
                            "<p class=\"details\">" + p.getDescription() + "</p>" +
                            "<a href=\"details?id="+ p.getId() + "\" class=\"more\">- more details -</a>" +
                            "<div class=\"clear\"></div>" +
                        "</div>" +
                        "<div class=\"box_bottom\"></div>" +
                    "</div>" +
                    "<div class=\"clear\"></div>" +
                "</div>";    
    }

    public static String promoBook(Product p) {
        return "<div class=\"new_prod_box\">" +
                    "<a href=\"details.html\"> " + p.getTitle() + "</a>" +
                    "<div class=\"new_prod_bg\">" +
                        "<span class=\"new_icon\"><img src=\"images/promo_icon.gif\" alt=\"\" title=\"\" /></span>" +
                        "<a href=\"details?id="+ p.getId() + "><img src=\"../products/thumbnail/"+ p.getId() + "." + p.getImageFormat() + "\" alt=\"\" title=\"\" class=\"thumb\" border=\"0\" /></a>" +
                    "</div>" +
                "</div>";
    }

	public static String cartBook(Product p, String removeMsg) {
		return 	"<tr>\n" +
				"	<td><a href=\"/details?id="+ p.getId() + "\"><img src=\"../products/thumbnail/"+ p.getId() + "." + p.getImageFormat() + "\" alt=\"\" title=\"\" border=\"0\" class=\"cart_thumb\" /></a></td>\n" +
				"	<td><a href=\"details?id="+ p.getId() + "\">" + p.getTitle() + "</a></td>\n" +
				"	<td>" + p.getPrice() + "</td>\n" +
				"   <td><a href=\"/#\">" + removeMsg + "</a></td>\n" +
				"</tr>\n";
	}
}
