<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);
	ArrayList<Product> cart = (ArrayList<Product>) session.getAttribute("cart");
	double total;
	if (session.getAttribute("total") == null) {
		total = 0.0;
	} else {
		total = ((Double) session.getAttribute("total")).doubleValue();
	}
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>jBookStore - <%= msg.getString("CART") %></title>
		<link rel="stylesheet" type="text/css" href="css/style.css" />
	</head>
	<body>
		<div id="wrap">
       		<div class="header">
       			<div class="logo"><a href="user/index.jsp"><img src="images/logo.gif" alt="" title="" border="0" /></a></div>            
        		<div id="menu">
		            <ul>
		                <li class="selected"><a href="user/index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
		            </ul>
        		</div>     
     		</div> 
  			<div class="center_content">
       			<div class="left_content">
            		<div class="title"><span class="title_icon"><img src="images/bullet1.gif" alt="" title="" /></span><%= msg.getString("MY_CART") %></div>
                	<div class="feat_prod_box_details">  
            			<table class="cart_table">
            				<tr class="cart_title">
                				<td><%= msg.getString("PHOTO") %></td>
                				<td><%= msg.getString("BOOK_NAME") %></td>
                    			<td><%= msg.getString("PRICE")%></td>
                    			<td></td>                      
                			</tr>
     						<%
								Product p;
								for(int i = 0; i < cart.size(); i++) {
									p = cart.get(i);
									out.println(ProductHelper.cartBook(p, msg.getString("REMOVE")));
								}
							%>
                  			<tr>
                				<td colspan="4" class="cart_total"><span class="red"><%= msg.getString("TOTAL")%>:</span></td>
                				<td>
                					<%
										out.println("$ " + String.valueOf(total));
									%>
                				</td>                
                			</tr>                  
              			</table>
            			<a href="user/index.jsp" class="continue">&lt; <%= msg.getString("CONTINUE") %></a>
            			<a href="checkout" class="checkout"> <%= msg.getString("CHECKOUT") %> &gt;</a>           
            		</div>
            
        			<div class="clear"></div>
        		</div><!--end of left content-->
        
        		<div class="right_content">
					<div class="cart">
                  		<div class="title"><span class="title_icon"><img src="images/cart.gif" alt="" title="" /></span> <%= msg.getString("MY_CART") %></div>
                  		<div class="home_cart_content">
                  			<%= String.valueOf(cart.size()) + " x " + msg.getString("ITEMS") %> | <span class="red"><%= msg.getString("TOTAL") + " - $ " + String.valueOf(total) %></span>
                  		</div>
                  		<a href="/cart" class="view_cart"> <%= msg.getString("VIEW_CART") %></a>
              		</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
                    	<div class="new_prod_box">
                        </div>   
           			</div>
             
             		<div class="right_box">
             
             			<div class="title"><span class="title_icon"><img src="images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
                
		                <ul class="list">
		                	<!--<li><a href="#">accesories</a></li>-->
		                </ul>
           			</div>
        		</div><!--end of right content-->
       			<div class="clear"></div>
       		</div><!--end of center content-->
       
              
			<div class="footer">
            	<div class="left_footer"><img src="images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="user/index.jsp"><%= msg.getString("HOME") %></a>
                    <a href="#"><%= msg.getString("CONTACT") %></a>
                </div>
            </div>
		</div>
	</body>
</html>
