<%@page import="java.util.*" %>
<%@page import="helper.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
        <title>jBookStore - <%= msg.getString("HOME") %></title>
        <link rel="stylesheet" type="text/css" href="css/style.css" />
    </head>
    <body>
        <div id="wrap">
            <div class="header">
       	        <div class="logo"><a href="index.jsp"><img src="images/logo.gif" alt="" title="" border="0" /></a></div>            
                <div id="menu">
                    <ul>
                        <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
                        <li><a href=""><%= msg.getString("BOOKS") %></a></li>
                        <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
                        <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
                        <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
                        <li><a href=""><%= msg.getString("CONTACT") %></a></li>
                    </ul>
                </div>
            </div> 
            <div class="center_content">
       	        <div class="left_content">
        			<div class="title"><span class="title_icon"><img src="images/bullet1.gif" alt="" title="" /></span><%= msg.getString("FEATURED_BOOKS") %></div>

                  	<div class="title"><span class="title_icon"><img src="images/bullet2.gif" alt="" title="" /></span><%= msg.getString("NEW_BOOKS") %></div> 
                    <div class="new_products">
                    <%
                       	//for(int i = 0; i < vetor.tamanho(); i++) {
                       	//}
                    %>
                    </div> 

                    <div class="clear"></div>
                </div><!--end of left content-->
        
               	<div class="right_content">             
                   	<div class="cart">
                       	<div class="title"><span class="title_icon"><img src="images/cart.gif" alt="" title="" /></span>My cart</div>
                       	<div class="home_cart_content">
                           	3 x items | <span class="red">TOTAL: 100$</span>
                       	</div>
                       	<a href="cart.html" class="view_cart"><%= msg.getString("VIEW_CART") %></a>
                   	</div>

                   	<div class="right_box">
                        <div class="title"><span class="title_icon"><img src="images/bullet4.gif" alt="" title="" /></span><%= msg.getString("PROMOTIONS") %></div> 
                        <%
                            //for(int i = 0; i < vetor.tamanho(); i++) {
                            //}
                        %>
                   	</div>
                
                    <div class="right_box">
                  
                       	<div class="title"><span class="title_icon"><img src="images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
                       	<ul class="list">
                       		<!--
                              	<li><a href="#">accesories</a></li>
                           	-->
                       	</ul>                     
                   	</div><!-- end of right box -->
          		</div><!--end of right content-->      
             	<div class="clear"></div>
       		</div><!--end of center content-->
      
            <div class="footer">
            	<div class="left_footer"><img src="images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
                <div class="right_footer">
                	<a href="index.jsp"><%= msg.getString("HOME") %></a>
                    <a href="#"><%= msg.getString("CONTACT") %></a>
                </div>
            </div>
        </div>
    </body>
</html>
