<%@page import="java.util.*" %>
<%@page import="helper.*" %>
<%@page import="model.core.*" %>

<%
	Locale currentLocale = request.getLocale();
	ResourceBundle msg = ResourceBundle.getBundle("messages", currentLocale);

	Product p = (Product) session.getAttribute("product");
%>

<!DOCTYPE html>
<html>
	<head>
    	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
		<title>jBookStore - <%= msg.getString("DETAILS") %></title>
		<link rel="stylesheet" type="text/css" href="css/style.css" />
		<link rel="stylesheet" href="lightbox.css" type="text/css" media="screen" />
	</head>
	<body>
		<div id="wrap">
       		<div class="header">
       			<div class="logo"><a href="index.html"><img src="images/logo.gif" alt="" title="" border="0" /></a></div>            
		        <div id="menu">
		            <ul>
		                <li class="selected"><a href="index.jsp"><%= msg.getString("HOME") %></a></li>
		                <li><a href=""><%= msg.getString("BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("SPECIAL_BOOKS") %></a></li>
		                <li><a href=""><%= msg.getString("MY_ACCOUNT") %></a></li>
		                <li><a href="login.jsp"><%= msg.getString("LOG_IN") %></a></li>
		                <li><a href=""><%= msg.getString("CONTACT") %></a></li>
		            </ul>
		        </div>     
         	</div>   
       		<div class="center_content">
       			<div class="left_content">
        			<div class="crumb_nav">
					<% if (session.getAttribute("user") != null) {%>
            			<a href="user/index.jsp"><%= msg.getString("HOME") %></a> &gt;&gt; <%= p.getTitle() %>
					<% } else { %>
						<a href="index.jsp"><%= msg.getString("HOME") %></a> &gt;&gt; <%= p.getTitle() %>
					<% } %>
						
            		</div>
            		<div class="title"><span class="title_icon"><img src="images/bullet1.gif" alt="" title="" /></span><%= p.getTitle() %></div>
        
        			<div class="feat_prod_box_details">
            			<div class="prod_img">
							<img src="<%= "products/thumbnail/" + p.getId() + "." + p.getImageFormat() %>" alt="" title="" border="0" />
                			<br /><br />
                			<a href="#" rel="lightbox"><img src="images/zoom.gif" alt="" title="" border="0" /></a>
                		</div>

                		<div class="prod_det_box">
		                	<div class="box_top"></div>
		                    <div class="box_center">
		                    	<div class="prod_title"><%= msg.getString("DETAILS") %></div>
		                    	<p class="details"><%= p.getDescription() %></p>
		                    	<div class="price"><strong><%= msg.getString("PRICE") %>:</strong> <span class="red"><%= p.getPrice() %></span></div>
		                    	<a href="cart?id=<%= p.getId() %>" class="more"><img src="images/order_now.gif" alt="" title="" border="0" /></a>
		                    	<div class="clear"></div>
		                    </div>
		                    <div class="box_bottom"></div>
		                </div>    

            			<div class="clear"></div>
            		</div>	          
            		<div id="demo" class="demolayout">

		            	<ul id="demo-nav" class="demolayout">
			               	<li><a class="active" href="#tab1"><%= msg.getString("MORE_DETAILS") %></a></li>
			              	<li><a class="" href="#tab2"><%= msg.getString("RELATED_BOOKS") %></a></li>
		                </ul>
    
            			<div class="tabs-container">
            
 <!--              			<div style="display: block;" class="tab" id="tab1">
                       			<p class="more_details">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation.</p>
                           		<ul class="list">
                           			<li><a href="#">Lorem ipsum dolor sit amet, consectetur adipisicing elit</a></li>
	                            	<li><a href="#">Lorem ipsum dolor sit amet, consectetur adipisicing elit</a></li>
	                            	<li><a href="#">Lorem ipsum dolor sit amet, consectetur adipisicing elit</a></li>
	                            	<li><a href="#">Lorem ipsum dolor sit amet, consectetur adipisicing elit</a></li>                                          
	                            </ul>
                           		<p class="more_details">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation.</p>                           
                   			</div>	
                    
                       		<div style="display: none;" class="tab" id="tab2">
	                    		<div class="new_prod_box">
	                        		<a href="details.html">product name</a>
	                        		<div class="new_prod_bg">
	                        			<a href="details.html"><img src="images/thumb1.gif" alt="" title="" class="thumb" border="0" /></a>
	                        		</div>           
	                    		</div>                 
			                    <div class="clear"></div>
	           				</div>-->
           				</div>
					</div>
            		<div class="clear"></div>
				</div><!--end of left content-->
        
				<div class="right_content">               
					<div class="cart">
						<div class="title"><span class="title_icon"><img src="images/cart.gif" alt="" title="" /></span><%= msg.getString("MY_CART") %></div>
				    	<div class="home_cart_content">
	                		3 x items | <span class="red">TOTAL: 100$</span>
	               		</div>
	                	<a href="cart.html" class="view_cart"><%= msg.getString("VIEW_CART") %></a>
	      			</div>
        	
					<div class="right_box">
	          			<!--<div class="title"><span class="title_icon"><img src="images/bullet4.gif" alt="" title="" /></span>Promotions</div> 
	                	<div class="new_prod_box">
	              			<a href="details.html">product name</a>
	                    	<div class="new_prod_bg">
	               				<span class="new_icon"><img src="images/promo_icon.gif" alt="" title="" /></span>
	                        	<a href="details.html"><img src="images/thumb1.gif" alt="" title="" class="thumb" border="0" /></a>
	                    	</div>           
	        			</div>-->
	    			</div>
             
            		<div class="right_box">
          
      					<div class="title"><span class="title_icon"><img src="images/bullet5.gif" alt="" title="" /></span><%= msg.getString("CATEGORIES") %></div> 
             
                		<ul class="list">
                			<!-- <li><a href="#">accesories</a></li> -->
                		</ul>           
    				</div>         

  				</div><!--end of right content-->
        		<div class="clear"></div>
			</div><!--end of center content-->
       
         	<div class="footer">
				<div class="left_footer"><img src="images/footer_logo.gif" alt="" title="" /><br /> <a href="http://csscreme.com/freecsstemplates/" title="free templates"><img src="images/csscreme.gif" alt="free templates" title="free templates" border="0" /></a></div>
			    <div class="right_footer">
			    	<a href="#"><%= msg.getString("HOME") %></a>
			        <a href="#"><%= msg.getString("CONTACT") %></a> 
			    </div>
			</div>
		</div>
	</body>
</html>
